Name:           perl-NetPacket
Version:        1.5.0
Release:        1%{?dist}
Summary:        Assemble/disassemble network packets at the protocol level
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NetPacket/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/NetPacket-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
NetPacket provides a base class for a cluster of modules related to
decoding and encoding of network protocols. Each NetPacket descendant
module knows how to encode and decode packets for the network protocol it
implements. Consult the documentation for the module in question for protocol-
specific implementation.

%prep
%setup -q -n NetPacket-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 15 2014 Jose Pedro Oliveira <jose.p.oliveira.oss at gmail.com> - 1.5.0-1
- Update to 1.5.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Nov 30 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.4-1
- Update to 1.4.4

* Tue Nov 26 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.3-1
- Update to 1.4.3

* Thu Sep 26 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.2-1
- Update to 1.4.2

* Fri Sep  6 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.1-1
- Update to 1.4.1

* Thu Aug 29 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.4.0-1
- Update to 1.4.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 1.3.3-3
- Perl 5.18 rebuild

* Thu May 16 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3.3-2
- No longer disable the 000-report-versions.t test

* Thu May 16 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3.3-1
- Update to 1.3.3.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.3.1-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 24 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3.1-1
- Update to 1.3.1.

* Mon Nov 14 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3.0-1
- Update to 1.3.0.
- Rebased patch0.

* Sat Jul 30 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.2.0-1
- Update to 1.2.0.

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.1-2
- Perl mass rebuild

* Thu Feb 10 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.1.1-1
- Update to 1.1.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.1.0-1
- Update to 1.1.0.

* Fri Dec 24 2010 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0.1-1
- Update to 1.0.1.
- Disable test t/000-report-versions.t and downgrade build requirements
  (NetPacket-1.0.1-Build.PL-downgrade-modules-requirements.patch) in order
  to support EPEL >= 5 and Fedora >= 12.

* Mon Mar 29 2010 Jan Klepek 0.42.0-1
- Changed license to Artistic 2.0 and updated version

* Mon Mar 15 2010 Jan Klepek 0.41.1-1
- Specfile autogenerated by cpanspec 1.78.
